Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Point to ruby 1.8 shim

Using a shim allows us to catch when 1.8 of ruby is not present and provide other options.

#ignore
  • Loading branch information...
commit 926867a414c1125abefa38161d82d71756f591a2 1 parent 41eb323
@infininight infininight authored
View
2  Commands/Move to Parent Listfile.tmCommand
@@ -5,7 +5,7 @@
<key>beforeRunningCommand</key>
<string>nop</string>
<key>command</key>
- <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
+ <string>#!/usr/bin/env ruby18
require ENV['TM_SUPPORT_PATH'] + '/lib/textmate'
abort "Unsaved file" unless ENV['TM_FILEPATH']
View
2  Commands/Open Included Listfile.tmCommand
@@ -5,7 +5,7 @@
<key>beforeRunningCommand</key>
<string>nop</string>
<key>command</key>
- <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
+ <string>#!/usr/bin/env ruby18
require ENV['TM_SUPPORT_PATH'] + '/lib/textmate'
require ENV['TM_SUPPORT_PATH'] + '/lib/ui'
View
2  Support/arg_separators.rb
@@ -1,4 +1,4 @@
-#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby -wKU
+#!/usr/bin/env ruby18 -wKU
commands = `/usr/local/bin/cmake --help-command-list`.to_a
commands.shift # Skip version number
Please sign in to comment.
Something went wrong with that request. Please try again.